Permalink
Browse files

Update Gemfile to make sure we can run the test locally, and also upg…

…rade Rails 3.1 beta to latest version
  • Loading branch information...
1 parent 24cc278 commit e0bbebcc00551e308be766c4b83aa015434c2d1f @sikachu sikachu committed Aug 5, 2011
View
2 Appraisals
@@ -7,5 +7,5 @@ appraise "rails3" do
end
appraise "rails3_1" do
- gem "rails", "~> 3.1.0.rc4"
+ gem "rails", "~> 3.1.0.rc5"
end
View
5 Gemfile
@@ -1,4 +1,4 @@
-source :rubygems
+source "http://rubygems.org"
gem "activerecord", :require => "active_record"
gem "appraisal"
@@ -14,5 +14,8 @@ gem "rdoc", :require => false
gem "shoulda"
gem "sqlite3", "~>1.3.4"
+# This is for Rails 3.1
+gem "sprockets", "~> 2.0.0.beta.13", :require => false
+
# gem "ruby-debug", :platform => :ruby_18
# gem "ruby-debug19", :platform => :ruby_19
View
8 Gemfile.lock
@@ -45,6 +45,7 @@ GEM
json (>= 1.4.6)
gherkin (2.4.5-java)
json (>= 1.4.6)
+ hike (1.2.0)
jruby-openssl (0.7.4)
bouncy-castle-java
json (1.5.3)
@@ -55,6 +56,7 @@ GEM
nokogiri (1.4.4)
nokogiri (1.4.4-java)
weakling (>= 0.0.3)
+ rack (1.3.2)
rake (0.9.2)
rdoc (3.8)
rspec (2.6.0)
@@ -67,8 +69,13 @@ GEM
rspec-mocks (2.6.0)
ruby-hmac (0.4.0)
shoulda (2.11.3)
+ sprockets (2.0.0.beta.13)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (~> 1.1, != 1.3.0)
sqlite3 (1.3.4)
term-ansicolor (1.0.5)
+ tilt (1.3.2)
weakling (0.0.4-java)
xml-simple (1.0.16)
@@ -89,4 +96,5 @@ DEPENDENCIES
rake
rdoc
shoulda
+ sprockets (~> 2.0.0.beta.13)
sqlite3 (~> 1.3.4)
View
20 gemfiles/rails2.gemfile
@@ -2,17 +2,19 @@
source "http://rubygems.org"
-gem "sqlite3", "~>1.3.4"
-gem "rails", "~> 2.3.12"
-gem "rake"
+gem "activerecord", :require=>"active_record"
+gem "appraisal"
+gem "aws-s3", :require=>"aws/s3"
+gem "bundler"
gem "cocaine"
-gem "shoulda"
-gem "mime-types"
+gem "fog"
gem "jruby-openssl", :platform=>:jruby
+gem "mime-types"
gem "mocha"
-gem "bundler"
-gem "fog"
-gem "aws-s3", :require=>"aws/s3"
-gem "appraisal"
+gem "rake"
gem "rdoc", :require=>false
+gem "shoulda"
+gem "sqlite3", "~>1.3.4"
+gem "sprockets", "~> 2.0.0.beta.13", :require=>false
+gem "rails", "~> 2.3.12"
View
8 gemfiles/rails2.gemfile.lock
@@ -57,6 +57,7 @@ GEM
json (>= 1.4.6)
gherkin (2.4.5-java)
json (>= 1.4.6)
+ hike (1.2.0)
jruby-openssl (0.7.4)
bouncy-castle-java
json (1.5.3)
@@ -89,15 +90,21 @@ GEM
rspec-mocks (2.6.0)
ruby-hmac (0.4.0)
shoulda (2.11.3)
+ sprockets (2.0.0.beta.13)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (!= 1.3.0, ~> 1.1)
sqlite3 (1.3.4)
term-ansicolor (1.0.6)
+ tilt (1.3.2)
xml-simple (1.1.0)
PLATFORMS
java
ruby
DEPENDENCIES
+ activerecord
appraisal
aws-s3
bundler
@@ -110,4 +117,5 @@ DEPENDENCIES
rake
rdoc
shoulda
+ sprockets (~> 2.0.0.beta.13)
sqlite3 (~> 1.3.4)
View
20 gemfiles/rails3.gemfile
@@ -2,17 +2,19 @@
source "http://rubygems.org"
-gem "sqlite3", "~>1.3.4"
-gem "rails", "~> 3.0.9"
-gem "rake"
+gem "activerecord", :require=>"active_record"
+gem "appraisal"
+gem "aws-s3", :require=>"aws/s3"
+gem "bundler"
gem "cocaine"
-gem "shoulda"
-gem "mime-types"
+gem "fog"
gem "jruby-openssl", :platform=>:jruby
+gem "mime-types"
gem "mocha"
-gem "bundler"
-gem "fog"
-gem "aws-s3", :require=>"aws/s3"
-gem "appraisal"
+gem "rake"
gem "rdoc", :require=>false
+gem "shoulda"
+gem "sqlite3", "~>1.3.4"
+gem "sprockets", "~> 2.0.0.beta.13", :require=>false
+gem "rails", "~> 3.0.9"
View
8 gemfiles/rails3.gemfile.lock
@@ -77,6 +77,7 @@ GEM
json (>= 1.4.6)
gherkin (2.4.5-java)
json (>= 1.4.6)
+ hike (1.2.0)
i18n (0.5.0)
jruby-openssl (0.7.4)
bouncy-castle-java
@@ -127,9 +128,14 @@ GEM
rspec-mocks (2.6.0)
ruby-hmac (0.4.0)
shoulda (2.11.3)
+ sprockets (2.0.0.beta.13)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (!= 1.3.0, ~> 1.1)
sqlite3 (1.3.4)
term-ansicolor (1.0.6)
thor (0.14.6)
+ tilt (1.3.2)
treetop (1.4.9)
polyglot (>= 0.3.1)
tzinfo (0.3.29)
@@ -140,6 +146,7 @@ PLATFORMS
ruby
DEPENDENCIES
+ activerecord
appraisal
aws-s3
bundler
@@ -152,4 +159,5 @@ DEPENDENCIES
rake
rdoc
shoulda
+ sprockets (~> 2.0.0.beta.13)
sqlite3 (~> 1.3.4)
View
20 gemfiles/rails3_1.gemfile
@@ -2,17 +2,19 @@
source "http://rubygems.org"
-gem "sqlite3", "~>1.3.4"
-gem "rails", "~> 3.1.0.rc4"
-gem "rake"
+gem "activerecord", :require=>"active_record"
+gem "appraisal"
+gem "aws-s3", :require=>"aws/s3"
+gem "bundler"
gem "cocaine"
-gem "shoulda"
-gem "mime-types"
+gem "fog"
gem "jruby-openssl", :platform=>:jruby
+gem "mime-types"
gem "mocha"
-gem "bundler"
-gem "fog"
-gem "aws-s3", :require=>"aws/s3"
-gem "appraisal"
+gem "rake"
gem "rdoc", :require=>false
+gem "shoulda"
+gem "sqlite3", "~>1.3.4"
+gem "sprockets", "~> 2.0.0.beta.13", :require=>false
+gem "rails", "~> 3.1.0.rc5"
View
108 gemfiles/rails3_1.gemfile.lock
@@ -1,42 +1,41 @@
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.1.0.rc4)
- actionpack (= 3.1.0.rc4)
+ actionmailer (3.1.0.rc5)
+ actionpack (= 3.1.0.rc5)
mail (~> 2.3.0)
- actionpack (3.1.0.rc4)
- activemodel (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
+ actionpack (3.1.0.rc5)
+ activemodel (= 3.1.0.rc5)
+ activesupport (= 3.1.0.rc5)
builder (~> 3.0.0)
erubis (~> 2.7.0)
i18n (~> 0.6)
- rack (~> 1.3.0)
- rack-cache (~> 1.0.1)
+ rack (~> 1.3.1)
+ rack-cache (~> 1.0.2)
rack-mount (~> 0.8.1)
rack-test (~> 0.6.0)
- sprockets (~> 2.0.0.beta.10)
- tzinfo (~> 0.3.27)
- activemodel (3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
+ sprockets (~> 2.0.0.beta.12)
+ activemodel (3.1.0.rc5)
+ activesupport (= 3.1.0.rc5)
bcrypt-ruby (~> 2.1.4)
builder (~> 3.0.0)
i18n (~> 0.6)
- activerecord (3.1.0.rc4)
- activemodel (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
- arel (~> 2.1.1)
- tzinfo (~> 0.3.27)
- activeresource (3.1.0.rc4)
- activemodel (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
- activesupport (3.1.0.rc4)
+ activerecord (3.1.0.rc5)
+ activemodel (= 3.1.0.rc5)
+ activesupport (= 3.1.0.rc5)
+ arel (~> 2.1.4)
+ tzinfo (~> 0.3.29)
+ activeresource (3.1.0.rc5)
+ activemodel (= 3.1.0.rc5)
+ activesupport (= 3.1.0.rc5)
+ activesupport (3.1.0.rc5)
multi_json (~> 1.0)
appraisal (0.3.7)
aruba (~> 0.4.2)
bundler
rake
- arel (2.1.3)
- aruba (0.4.3)
+ arel (2.1.4)
+ aruba (0.4.5)
bcat (>= 0.6.1)
childprocess (>= 0.1.9)
cucumber (>= 0.10.7)
@@ -49,8 +48,6 @@ GEM
bcat (0.6.1)
rack (~> 1.0)
bcrypt-ruby (2.1.4)
- bcrypt-ruby (2.1.4-java)
- bouncy-castle-java (1.5.0146.1)
builder (3.0.0)
childprocess (0.2.0)
ffi (~> 1.0.6)
@@ -65,28 +62,22 @@ GEM
erubis (2.7.0)
excon (0.6.5)
ffi (1.0.9)
- ffi (1.0.9-java)
- fog (0.9.0)
+ fog (0.10.0)
builder
- excon (~> 0.6.1)
- formatador (>= 0.1.3)
- json
+ excon (~> 0.6.5)
+ formatador (~> 0.2.0)
mime-types
- net-scp (>= 1.0.4)
- net-ssh (>= 2.1.4)
- nokogiri (>= 1.4.4)
+ multi_json (~> 1.0.3)
+ net-scp (~> 1.0.4)
+ net-ssh (~> 2.1.4)
+ nokogiri (~> 1.5.0)
ruby-hmac
formatador (0.2.0)
gherkin (2.4.5)
json (>= 1.4.6)
- gherkin (2.4.5-java)
- json (>= 1.4.6)
hike (1.2.0)
i18n (0.6.0)
- jruby-openssl (0.7.4)
- bouncy-castle-java
json (1.5.3)
- json (1.5.3-java)
mail (2.3.0)
i18n (>= 0.4.0)
mime-types (~> 1.16)
@@ -98,35 +89,34 @@ GEM
net-ssh (>= 1.99.1)
net-ssh (2.1.4)
nokogiri (1.5.0)
- nokogiri (1.5.0-java)
- polyglot (0.3.1)
- rack (1.3.1)
+ polyglot (0.3.2)
+ rack (1.3.2)
rack-cache (1.0.2)
rack (>= 0.4)
rack-mount (0.8.1)
rack (>= 1.0.0)
rack-ssl (1.3.2)
rack
- rack-test (0.6.0)
+ rack-test (0.6.1)
rack (>= 1.0)
- rails (3.1.0.rc4)
- actionmailer (= 3.1.0.rc4)
- actionpack (= 3.1.0.rc4)
- activerecord (= 3.1.0.rc4)
- activeresource (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
+ rails (3.1.0.rc5)
+ actionmailer (= 3.1.0.rc5)
+ actionpack (= 3.1.0.rc5)
+ activerecord (= 3.1.0.rc5)
+ activeresource (= 3.1.0.rc5)
+ activesupport (= 3.1.0.rc5)
bundler (~> 1.0)
- railties (= 3.1.0.rc4)
- railties (3.1.0.rc4)
- actionpack (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
+ railties (= 3.1.0.rc5)
+ railties (3.1.0.rc5)
+ actionpack (= 3.1.0.rc5)
+ activesupport (= 3.1.0.rc5)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
thor (~> 0.14.6)
rake (0.9.2)
rdiscount (1.6.8)
- rdoc (3.8)
+ rdoc (3.9.1)
rspec (2.6.0)
rspec-core (~> 2.6.0)
rspec-expectations (~> 2.6.0)
@@ -137,24 +127,25 @@ GEM
rspec-mocks (2.6.0)
ruby-hmac (0.4.0)
shoulda (2.11.3)
- sprockets (2.0.0.beta.10)
- hike (~> 1.0)
+ sprockets (2.0.0.beta.13)
+ hike (~> 1.2)
rack (~> 1.0)
- tilt (~> 1.1, != 1.3.0)
+ tilt (!= 1.3.0, ~> 1.1)
sqlite3 (1.3.4)
term-ansicolor (1.0.6)
thor (0.14.6)
tilt (1.3.2)
- treetop (1.4.9)
+ treetop (1.4.10)
+ polyglot
polyglot (>= 0.3.1)
tzinfo (0.3.29)
xml-simple (1.1.0)
PLATFORMS
- java
ruby
DEPENDENCIES
+ activerecord
appraisal
aws-s3
bundler
@@ -163,8 +154,9 @@ DEPENDENCIES
jruby-openssl
mime-types
mocha
- rails (~> 3.1.0.rc4)
+ rails (~> 3.1.0.rc5)
rake
rdoc
shoulda
+ sprockets (~> 2.0.0.beta.13)
sqlite3 (~> 1.3.4)

0 comments on commit e0bbebc

Please sign in to comment.